import { BpSdkStore, addQuestionPool } from '@boldpenguin/sdk-redux';
import { IAddQuestionPoolItemContainerComponent, IPartnerEngineConfig, IQuestionPool, IQuestionSetState } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkAddQuestionPoolItemContainer implements IAddQuestionPoolItemContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    addQuestionPool: typeof addQuestionPool;
    /**
     * The id that the answer pool the answer belongs to.
     * If undefined, then not part of a pool.
     */
    answerPoolId: string | undefined;
    /**
     * Question id
     */
    questionId: string;
    /**
     * Help text
     */
    helpText: string;
    /**
     * Question set id
     */
    questionSetId: string;
    /**
     * Add button text
     */
    text: string;
    applicationId: string;
    config: IPartnerEngineConfig;
    questionSetState: IQuestionSetState;
    useExternal: boolean;
    questionPool: IQuestionPool;
    el: HTMLBpSdkAddQuestionPoolItemContainerElement;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    mapStateToProps: (state: BpSdkStore) => {
        applicationId: string;
        config: IPartnerEngineConfig;
        questionSetState: IQuestionSetState;
    };
    disconnectedCallback(): void;
    componentWillLoad(): void;
    onQuestionSetIdChange(questionSetId: string): void;
    onQuestionIdChange(questionId: string): void;
    onQuestionSetsChange(questionSetState: IQuestionSetState): void;
    updateQuestionPool(questionSetId: string, questionId: string, questionSetState: IQuestionSetState): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
